{
  "_format": "hh-sol-artifact-1",
  "contractName": "ECDSA",
  "sourceName": "@openzeppelin/contracts/utils/cryptography/ECDSA.sol",
  "abi": [
    {
      "inputs": [],
      "name": "ECDSAInvalidSignature",
      "type": "error"
    },
    {
      "inputs": [
        {
          "internalType": "uint256",
          "name": "length",
          "type": "uint256"
        }
      ],
      "name": "ECDSAInvalidSignatureLength",
      "type": "error"
    },
    {
      "inputs": [
        {
          "internalType": "bytes32",
          "name": "s",
          "type": "bytes32"
        }
      ],
      "name": "ECDSAInvalidSignatureS",
      "type": "error"
    }
  ],
  "bytecode": "0x60808060405234601757603a9081601d823930815050f35b600080fdfe600080fdfea264697066735822122045818dd124bbd7f19e4e316208bc84c6167517209114d1fe88ebad9c3cf4dc8164736f6c63430008160033",
  "deployedBytecode": "0x600080fdfea264697066735822122045818dd124bbd7f19e4e316208bc84c6167517209114d1fe88ebad9c3cf4dc8164736f6c63430008160033",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
